Bug 523487 - default fonts in Firefox for Fedora look very bad
Summary: default fonts in Firefox for Fedora look very bad
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-15 17:28 UTC by Marius Andreiana
Modified: 2018-04-11 18:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-14 14:15:36 UTC


Attachments (Terms of Use)
Page in Win FFox (101.94 KB, image/png)
2009-10-12 11:57 UTC, Marius Andreiana
no flags Details
Page in Fedora FFox (168.09 KB, image/png)
2009-10-12 11:58 UTC, Marius Andreiana
no flags Details

Description Marius Andreiana 2009-09-15 17:28:54 UTC
Description of problem:
default fonts in Firefox for Fedora look very bad
(e.g. access gmail in Fedora on a >1024x768 resolution, compare it with Firefox on Windows which looks good)

There are many users reporting this 
http://www.google.ro/search?hl=ro&client=firefox-a&rls=org.mozilla%3Aen-US%3Aofficial&q=fedora+firefox+fonts+&btnG=C%C4%83utare&meta=

The user impact is large, so please install by default whatever font looks better (bitstream, mscore-fonts, or make new fonts) so this can work out of the box.

Notes
This is not related to https://bugzilla.redhat.com/show_bug.cgi?id=435046

Thanks

Comment 1 Matěj Cepl 2009-09-21 13:44:24 UTC
Sorry, I don't understand what is the problem here. "Looks bad" is matter of opinion. If you have any exact problem with Firefox, please, describe it completely, use screenshots of difference between desired and observed beahvior, etc. Unfortunately, we cannot anything about so vague.

Thanks for filing the bug, and it's a pitty I don't know how to help you better.

Comment 2 Marius Andreiana 2009-10-12 11:57:55 UTC
Created attachment 364449 [details]
Page in Win FFox

Comment 3 Marius Andreiana 2009-10-12 11:58:28 UTC
Created attachment 364450 [details]
Page in Fedora FFox

Comment 4 Marius Andreiana 2009-10-12 12:04:47 UTC
See attached a page where the font rendering looks "bad": http://code.google.com/webtoolkit/gettingstarted.html

Zoom level in firefox: reset to original.
Resolution: 1280x1024

I'm sorry I am unable to explain it more clear (like letter differences, antialiasing and so on), I don't have these design skills. I cannot recognize what font is each. But I do have enough skills to tell that on Windows it's much better. Google confirms it's not just my impression.

If win/fedora still look the same for you, please ask for an internal Red Hat design person for help. I don't know a professional designer who would do this for free.

Thanks

Comment 5 Matěj Cepl 2009-10-14 14:15:36 UTC
I really don't understand what's the problem for you. Try to play with different fonts, different levels of antialising, but I really don't see any real problems here.

Closing as WORKSFORME


Note You need to log in before you can comment on or make changes to this bug.